Index: tests/regression/Domain/AddEmptyBoundary/post/test-undo.conf
===================================================================
--- tests/regression/Domain/AddEmptyBoundary/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/AddEmptyBoundary/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	11.000000000	10.000000000	12.000000000	0 # molecule nr 1
Index: tests/regression/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at
===================================================================
--- tests/regression/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/AddEmptyBoundary/testsuite-domain-add-empty-boundary.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -15,6 +15,5 @@
 
 AT_SETUP([Domain - center and add empty boundary with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([domain add-empty-boundar undo])
+AT_KEYWORDS([domain add-empty-boundary undo])
 
 file=test.conf
@@ -22,6 +21,6 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  -c "5, 10, 15" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/post/test.conf], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/AddEmptyBoundary/post/test-undo.conf], 0, [stdout], [stderr])
 
 AT_CLEANUP
@@ -29,5 +28,4 @@
 
 AT_SETUP([Domain - center and add empty boundary with Redo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain add-empty-boundary redo])
 
Index: tests/regression/Domain/BoundInBox/post/test-undo.conf
===================================================================
--- tests/regression/Domain/BoundInBox/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/BoundInBox/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+5	
+0	5	
+0	0	5	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	11.000000000	10.000000000	12.000000000	0 # molecule nr 1
Index: tests/regression/Domain/BoundInBox/post/test.conf
===================================================================
--- tests/regression/Domain/BoundInBox/post/test.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/BoundInBox/post/test.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+5	
+0	5	
+0	0	5	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	0.000000000	0.000000000	0.000000000	0 # molecule nr 0
+Ion_Type1_2	1.000000000	0.000000000	2.000000000	0 # molecule nr 1
Index: tests/regression/Domain/BoundInBox/pre/test.conf
===================================================================
--- tests/regression/Domain/BoundInBox/pre/test.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/BoundInBox/pre/test.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	0	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	0	# check every ..th steps
+MaxMinGapStopStep	0	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	0	# check every ..th steps
+InitMaxMinGapStopStep	0	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+5	
+0	5	
+0	0	5	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	0	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	0	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	0	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	11.000000000	10.000000000	12.000000000	0 # molecule nr 0
Index: tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box.at
===================================================================
--- tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/BoundInBox/testsuite-domain-bound-in-box.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,36 @@
+### bound atoms in defined domain
+
+AT_SETUP([Domain - bounding in domain])
+AT_KEYWORDS([domain bound-in-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --bound-in-box], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain with Undo])
+AT_KEYWORDS([domain bound-in-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --bound-in-box --undo], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test-undo.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - bounding in domain with Redo])
+AT_KEYWORDS([domain bound-in-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file --bound-in-box --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/BoundInBox/post/test.conf], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/regression/Domain/CenterInBox/post/test-undo.conf
===================================================================
--- tests/regression/Domain/CenterInBox/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/CenterInBox/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	11.000000000	10.000000000	12.000000000	0 # molecule nr 1
Index: tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box.at
===================================================================
--- tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/CenterInBox/testsuite-domain-center-in-box.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -15,5 +15,4 @@
 
 AT_SETUP([Domain - setting and centering in domain with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain center-in-box undo])
 
@@ -22,6 +21,6 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  -b "15, 0, 15, 0, 0, 15" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test-undo.conf], 0, [stdout], [stderr])
 
 AT_CLEANUP
@@ -29,5 +28,4 @@
 
 AT_SETUP([Domain - setting and centering in domain with Redo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain center-in-box redo])
 
@@ -36,5 +34,5 @@
 AT_CHECK([chmod u+w $file], 0)
 AT_CHECK([../../molecuilder -i $file  -b "15, 0, 15, 0, 0, 15" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterInBox/post/test.conf], 0, [stdout], [stderr])
 
Index: tests/regression/Domain/CenterOnEdge/post/test-undo.conf
===================================================================
--- tests/regression/Domain/CenterOnEdge/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/CenterOnEdge/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,73 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	1	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	1	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	1	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	1	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	1	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	1	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	2	1	1.0	3	3	1.00800000000	Hydrogen	H
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
+Ion_Type1_2	11.000000000	10.000000000	12.000000000	0 # molecule nr 1
Index: tests/regression/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at
===================================================================
--- tests/regression/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/CenterOnEdge/testsuite-domain-center-on-edge.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -7,5 +7,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file  -O], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -O], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test.conf], 0, [stdout], [stderr])
@@ -15,5 +15,4 @@
 
 AT_SETUP([Domain - set domain to minimum size with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain center-edge undo])
 
@@ -21,7 +20,7 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file  -O --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -O --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test.conf], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test-undo.conf], 0, [stdout], [stderr])
 
 AT_CLEANUP
@@ -29,5 +28,4 @@
 
 AT_SETUP([Domain - set domain to minimum size with Redo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain center-edge redo])
 
@@ -35,5 +33,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file  -O --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -O --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/CenterOnEdge/post/test.conf], 0, [stdout], [stderr])
Index: tests/regression/Domain/ChangeBox/testsuite-domain-change-box.at
===================================================================
--- tests/regression/Domain/ChangeBox/testsuite-domain-change-box.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/ChangeBox/testsuite-domain-change-box.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -13,5 +13,4 @@
 
 AT_SETUP([Domain - defining simulation domain])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain change-box undo])
 
@@ -25,5 +24,4 @@
 
 AT_SETUP([Domain - defining simulation domain])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain change-box redo])
 
Index: tests/regression/Domain/RepeatBox/post/test-undo.xyz
===================================================================
--- tests/regression/Domain/RepeatBox/post/test-undo.xyz	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/RepeatBox/post/test-undo.xyz	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,13 @@
+11
+	Created by molecuilder on Fri Oct 14 14:04:02 2011, time step 0
+H	9.78209	2.64589	2.64589
+H	9.78209	2.64589	4.42589
+H	10.672	3.90454	3.53589
+H	8.53279	4.78789	2.64589
+H	8.53279	4.78789	4.42589
+H	6.39363	3.90454	3.53589
+H	7.28359	2.64589	2.64589
+H	7.28359	2.64589	4.42589
+C	9.78209	3.27519	3.53589
+C	8.53279	4.15859	3.53589
+C	7.28359	3.27519	3.53589
Index: tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -44,5 +44,4 @@
 
 AT_SETUP([Domain - duplicating box with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain repeat-box undo])
 
@@ -51,7 +50,7 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 
@@ -60,7 +59,7 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-x.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 
@@ -69,7 +68,7 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-y.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 
@@ -78,7 +77,7 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
-AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-z.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 
@@ -87,5 +86,4 @@
 
 AT_SETUP([Domain - duplicating box with Redo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain repeat-box redo])
 
@@ -94,5 +92,5 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
@@ -103,5 +101,5 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-x.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
@@ -112,5 +110,5 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-y.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
@@ -121,5 +119,5 @@
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo --redo], 0, [stdout], [stderr])
-AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-z.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
Index: tests/regression/Domain/ScaleBox/post/test-undo.conf
===================================================================
--- tests/regression/Domain/ScaleBox/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
+++ tests/regression/Domain/ScaleBox/post/test-undo.conf	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -0,0 +1,83 @@
+# ParallelCarParinello - main configuration file - created with molecuilder
+
+mainname	pcp	# programm name (for runtime files)
+defaultpath	not specified	# where to put files during runtime
+pseudopotpath	not specified	# where to find pseudopotentials
+
+ProcPEGamma	8	# for parallel computing: share constants
+ProcPEPsi	1	# for parallel computing: share wave functions
+DoOutVis	0	# Output data for OpenDX
+DoOutMes	1	# Output data for measurements
+DoOutOrbitals	0	# Output all Orbitals
+DoOutCurr	0	# Ouput current density for OpenDx
+DoOutNICS	0	# Output Nucleus independent current shieldings
+DoPerturbation	0	# Do perturbation calculate and determine susceptibility and shielding
+DoFullCurrent	0	# Do full perturbation
+DoConstrainedMD	0	# Do perform a constrained (>0, relating to current MD step) instead of unconstrained (0) MD
+Thermostat	Berendsen	2.5	# Which Thermostat and its parameters to use in MD case.
+CommonWannier	0	# Put virtual centers at indivual orbits, all common, merged by variance, to grid point, to cell center
+SawtoothStart	0.01	# Absolute value for smooth transition at cell border 
+VectorPlane	0	# Cut plane axis (x, y or z: 0,1,2) for two-dim current vector plot
+VectorCut	0	# Cut plane axis value
+AddGramSch	1	# Additional GramSchmidtOrtogonalization to be safe
+Seed		1	# initial value for random seed for Psi coefficients
+
+MaxOuterStep	0	# number of MolecularDynamics/Structure optimization steps
+Deltat	0.01	# time per MD step
+OutVisStep	10	# Output visual data every ...th step
+OutSrcStep	5	# Output "restart" data every ..th step
+TargetTemp	0.000950045	# Target temperature
+MaxPsiStep	3	# number of Minimisation steps per state (0 - default)
+EpsWannier	1e-07	# tolerance value for spread minimisation of orbitals
+
+# Values specifying when to stop
+MaxMinStep	100	# Maximum number of steps
+RelEpsTotalE	1e-07	# relative change in total energy
+RelEpsKineticE	1e-05	# relative change in kinetic energy
+MaxMinStopStep	10	# check every ..th steps
+MaxMinGapStopStep	1	# check every ..th steps
+
+# Values specifying when to stop for INIT, otherwise same as above
+MaxInitMinStep	100	# Maximum number of steps
+InitRelEpsTotalE	1e-05	# relative change in total energy
+InitRelEpsKineticE	0.0001	# relative change in kinetic energy
+InitMaxMinStopStep	10	# check every ..th steps
+InitMaxMinGapStopStep	1	# check every ..th steps
+
+BoxLength			# (Length of a unit cell)
+20	
+0	20	
+0	0	20	
+
+ECut		128	# energy cutoff for discretization in Hartrees
+MaxLevel	5	# number of different levels in the code, >=2
+Level0Factor	2	# factor by which node number increases from S to 0 level
+RiemannTensor	0	# (Use metric)
+PsiType		0	# 0 - doubly occupied, 1 - SpinUp,SpinDown
+MaxPsiDouble	10	# here: specifying both maximum number of SpinUp- and -Down-states
+PsiMaxNoUp	10	# here: specifying maximum number of SpinUp-states
+PsiMaxNoDown	10	# here: specifying maximum number of SpinDown-states
+AddPsis		0	# Additional unoccupied Psis for bandgap determination
+
+RCut		20	# R-cut for the ewald summation
+StructOpt	0	# Do structure optimization beforehand
+IsAngstroem	1	# 0 - Bohr, 1 - Angstroem
+RelativeCoord	0	# whether ion coordinates are relative (1) or absolute (0)
+MaxTypes	2	# maximum number of different ion types
+
+# Ion type data (PP = PseudoPotential, Z = atomic number)
+#Ion_TypeNr.	Amount	Z	RGauss	L_Max(PP)L_Loc(PP)IonMass	# chemical name, symbol
+Ion_Type1	8	1	1.0	3	3	1.00800000000	Hydrogen	H
+Ion_Type2	3	6	1.0	3	3	12.01100000000	Carbon	C
+#Ion_TypeNr._Nr.R[0]    R[1]    R[2]    MoveType (0 MoveIon, 1 FixedIon)
+Ion_Type1_1	9.782085945	2.645886050	2.645886050	0 # molecule nr 0
+Ion_Type1_2	9.782085945	2.645886050	4.425886024	0 # molecule nr 1
+Ion_Type1_3	10.672039608	3.904536878	3.535886037	0 # molecule nr 2
+Ion_Type1_4	8.532785963	4.787886018	2.645886050	0 # molecule nr 3
+Ion_Type1_5	8.532785963	4.787886018	4.425886024	0 # molecule nr 4
+Ion_Type1_6	6.393632318	3.904536877	3.535886037	0 # molecule nr 5
+Ion_Type1_7	7.283585982	2.645886050	2.645886050	0 # molecule nr 6
+Ion_Type1_8	7.283585982	2.645886050	4.425886024	0 # molecule nr 7
+Ion_Type2_1	9.782085945	3.275186040	3.535886037	0 # molecule nr 8
+Ion_Type2_2	8.532785963	4.158586027	3.535886037	0 # molecule nr 9
+Ion_Type2_3	7.283585982	3.275186040	3.535886037	0 # molecule nr 10
Index: tests/regression/Domain/ScaleBox/testsuite-domain-scale-box.at
===================================================================
--- tests/regression/Domain/ScaleBox/testsuite-domain-scale-box.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/ScaleBox/testsuite-domain-scale-box.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -15,5 +15,4 @@
 
 AT_SETUP([Domain - scaling box with Undo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain scale-box undo])
 
@@ -23,5 +22,5 @@
 AT_CHECK([../../molecuilder -i $file  --scale-box "0.5, 1., 0.9" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
-AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/post/test.conf], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/ScaleBox/post/test-undo.conf], 0, [stdout], [stderr])
 
 AT_CLEANUP
@@ -29,5 +28,4 @@
 
 AT_SETUP([Domain - scaling box with Redo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([domain scale-box redo])
 
Index: tests/regression/Domain/testsuite-domain.at
===================================================================
--- tests/regression/Domain/testsuite-domain.at	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Domain/testsuite-domain.at	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -3,4 +3,7 @@
 # define box setting
 m4_include([Domain/ChangeBox/testsuite-domain-change-box.at])
+
+# bound atoms in defined domain
+m4_include([Domain/BoundInBox/testsuite-domain-bound-in-box.at])
 
 # center atoms in defined domain
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision b1ac7aab284bf1319974b1e2e835aba2d14405c8)
+++ tests/regression/Makefile.am	(revision 9c27b0a005883e62a6fe86a9c2d191e872d16452)
@@ -41,4 +41,5 @@
 	$(srcdir)/Analysis/AngularDipoleCorrelation-DiscreteAngles/testsuite-analysis-angular-dipole-correlation-discrete-angles.at \
 	$(srcdir)/Domain/testsuite-domain.at \
+	$(srcdir)/Domain/BoundInBox/testsuite-domain-bound-in-box.at \
 	$(srcdir)/Domain/ChangeBox/testsuite-domain-change-box.at \
 	$(srcdir)/Domain/CenterInBox/testsuite-domain-center-in-box.at \
